ChemicalFeatures::ChemicalFeature Class Referenceabstract

abstract base class for chemical feature More...

`#include <ChemicalFeature.h>`

Inheritance diagram for ChemicalFeatures::ChemicalFeature:

## Public Member Functions

| ChemicalFeature ()
virtual | ~ChemicalFeature ()
virtual const int | getId () const =0
virtual const std::string & | getType () const =0
virtual const std::string & | getFamily () const =0
virtual RDGeom::Point3D | getPos () const =0

## Detailed Description

abstract base class for chemical feature

Definition at line 18 of file ChemicalFeature.h.

## Constructor & Destructor Documentation

ChemicalFeatures::ChemicalFeature::ChemicalFeature | ( |  | ) |

inline

Definition at line 20 of file ChemicalFeature.h.

virtual ChemicalFeatures::ChemicalFeature::~ChemicalFeature | ( |  | ) |

inline virtual

Definition at line 21 of file ChemicalFeature.h.

## Member Function Documentation

virtual const std::string& ChemicalFeatures::ChemicalFeature::getFamily | ( |  | ) | const

pure virtual

Implemented in ChemicalFeatures::FreeChemicalFeature, and RDKit::MolChemicalFeature.

virtual const int ChemicalFeatures::ChemicalFeature::getId | ( |  | ) | const

pure virtual

Implemented in RDKit::MolChemicalFeature, and ChemicalFeatures::FreeChemicalFeature.

virtual RDGeom::Point3D ChemicalFeatures::ChemicalFeature::getPos | ( |  | ) | const

pure virtual

Implemented in ChemicalFeatures::FreeChemicalFeature, and RDKit::MolChemicalFeature.

virtual const std::string& ChemicalFeatures::ChemicalFeature::getType | ( |  | ) | const

pure virtual

Implemented in ChemicalFeatures::FreeChemicalFeature, and RDKit::MolChemicalFeature.

The documentation for this class was generated from the following file:

- ChemicalFeature.h